package com.hzya.frame.web.action;

import com.hzya.frame.web.entity.BaseEntity;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.support.ApplicationObjectSupport;



/**
 * @author 郭军辉
 * <p>
 * 2016年12月14日下午5:20:51
 */

public class DefaultController extends ApplicationObjectSupport {

    protected Logger logger = LoggerFactory.getLogger(DefaultController.class);
    private Long currentTime = System.currentTimeMillis();

    /**
     * 请求失败
     *
     * @param message 提示信息
     * @return
     */
    public JsonResultEntity getFailureMessageEntity(String message) {
        return new JsonResultEntity(message, false);
    }

    /**
     * 请求失败
     *
     * @param message 提示信息
     * @return
     */
    public JsonResultEntity getFailureMessageEntity(String message,  Object mo) {
        return new JsonResultEntity(message, false, mo);
    }

    /**
     * 请求成功
     *
     * @param message 提示消息
     * @param mo      返回对象
     * @return
     */
    public JsonResultEntity getSuccessMessageEntity(String message,  Object mo) {
        return new JsonResultEntity(message, true, mo);
    }

    /**
     * 请求成功
     *
     * @param message 提示消息
     * @return
     */
    public JsonResultEntity getSuccessMessageEntity(String message ) {
        return new JsonResultEntity(message, true);
    }









    /**
     * //绑定org_id
     *
     * @param entity
     * @author 相二林
     * 2019年5月8日 08:38:56
     */
    public void bindOrg(BaseEntity entity) {
        //当前登陆人
      /*  UserEntity user = SessionContext.getCurrentUser();
        if (null != user) {
            //当前登陆人操作级别
            if (!("superadministrator").equals(user.getLevel())) {
                if (entity instanceof CompanyEntity) {
                    OrganizationEntity orgEntity = organizationService.get(user.getOrg_id());
                    if (null != orgEntity) {
                        ((CompanyEntity) entity).setUp_id(orgEntity.getCompany_id());
                    }
                } else if (entity instanceof OrganizationEntity) {
                    ((OrganizationEntity) entity).setId(user.getOrg_id());
                } else if (entity instanceof UserEntity) {
                    entity.setOrg_id(user.getOrg_id());
                }
            }
        }*/
    }
}
